Receipt for: dconf

source
# SliTaz package receipt.

PACKAGE="dconf"
VERSION="0.13.0"
CATEGORY="system-tools"
SHORT_DESC="A low-level configuration system."
MAINTAINER="al.bobylev@gmail.com"
LICENSE="LGPL2.1"
WEB_SITE="https://wiki.gnome.org/Projects/dconf"

TARBALL="$PACKAGE-$VERSION.tar.xz"
WGET_URL="$GNOME_MIRROR/$PACKAGE/${VERSION%.*}/$TARBALL"

DEPENDS="dbus gtk+3"
BUILD_DEPENDS="dbus-dev glib-dev gtk+3-dev libgio-dev libxml2-dev vala libpng+apng-dev"

GENERIC_MENUS="no"
GENERIC_PIXMAPS="no"

current_version()
{
	wget -O - $GNOME_MIRROR/$PACKAGE/$(wget -O - $GNOME_MIRROR/$PACKAGE/ 2>/dev/null | \
	sed '/href="[0-9]/!d;s|.*href="\(.*\)/".*|\1|' | sort -Vr | sed q) 2>/dev/null | \
	sed "/$PACKAGE-[0-9]/!d;/tar/!d;s|.*$PACKAGE-\\(.*\\).tar.*\".*|\\1|" | sort -Vr | sed q
}

# Rules to configure and make the package.
compile_rules()
{
	sed -i	'24i#define _XOPEN_SOURCE'	bin/dconf-update.c

	export CFLAGS="$CFLAGS -std=c99"

	./configure			\
		--sysconfdir=/etc	\
		--libexecdir=/usr/lib	\
		$CONFIGURE_ARGS &&
	make &&
	make install
}

# Rules to gen a SliTaz package suitable for Tazpkg.
genpkg_rules()
{
	cook_copy_folders	bin
	cook_copy_folders	schemas
	cook_copy_folders	services
	cook_copy_files		dconf-service
	cook_copy_files		*.so*
}